Subject: [alpine-aports] [PATCH] testing/mail: new aport

From: "Steffen (Daode) Nurpmeso" <[email-masked]>
Date: Fri, 29 Sep 2017 18:15:55 +0200

https://www.sdaoden.eu/code.html#s-mailx
SysV/BSD/POSIX mail(x) utility to send and receive Internet mail
---
 testing/mail/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/mail/APKBUILD

diff --git a/testing/mail/APKBUILD b/testing/mail/APKBUILD
new file mode 100644
index 0000000..f8056ff
--- /dev/null
+++ b/testing/mail/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Steffen Nurpmeso <[email-masked]>
+pkgname=mail
+pkgver=14.9.4
+pkgrel=0
+pkgdesc="SysV/BSD/POSIX mail(x) utility to send and receive Internet mail"
+url="https://www.sdaoden.eu/code.html#s-mailx"
+arch="all"
+license="BSD"
+makedepends="libressl-dev ncurses-dev krb5-dev"
+subpackages="$pkgname-doc"
+# XXX use $pkgname after v15
+source="https://ftp.sdaoden.eu/s-nail-$pkgver.tar.xz"
+
+builddir="$srcdir/s-nail-$pkgver"
+options=suid
+
+# LD_LIBRARY_PATH is included via -rpath, so use system defaults only.
+# And ensure no other paths sneak in.
+unset LIBRARY_PATH LD_RUN_PATH
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+C_INCLUDE_PATH=/usr/include
+LD_LIBRARY_PATH=/lib:/usr/lib
+export PATH C_INCLUDE_PATH LD_LIBRARY_PATH
+
+build() {
+	cd "$builddir"
+	make \
+		VAL_SID= VAL_MAILX=mail \
+		VAL_PREFIX=/usr \
+		VAL_SYSCONFDIR=/etc \
+		OPT_AUTOCC=no \
+		config || return 1
+	make build # XXX unite with config in v14.9.5
+}
+
+check() {
+	cd "$builddir"
+	unset LOGNAME USER # XXX drop that in v14.9.5
+	make test
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install
+	chmod u+s $pkgdir/usr/libexec/mail-privsep
+
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+sha512sums="96fd351d604d31dec6a03614448aa08eec885d7f01ee43e5edbd69a61579fa5b744f1cf1029680da4d415dc5f448334284f3bfa71f9449c05679b43079f98497  s-nail-14.9.4.tar.xz"
-- 
2.14.2

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Steffen Nurpmeso <[email-masked]>
Date: Thu, 05 Oct 2017 00:18:31 +0200

i wrote:
 |https://www.sdaoden.eu/code.html#s-mailx
 |SysV/BSD/POSIX mail(x) utility to send and receive Internet mail

Oh, there is already s-nail in testing/!  Wow!  I did not know
that.  I will send a recipe update for that, then, it is very much
worth it (the update at least).
Thank you!

--steffen
|

---

---

From: Steffen Nurpmeso <[email-masked]>
Date: Thu, 05 Oct 2017 01:33:27 +0200

https://www.sdaoden.eu/code.html#s-mailx
SysV/BSD/POSIX mail(x) utility to send and receive Internet mail
---
 testing/s-nail/APKBUILD | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

diff --git a/testing/s-nail/APKBUILD b/testing/s-nail/APKBUILD
index e650cf2..e71e049 100644
--- a/testing/s-nail/APKBUILD
+++ b/testing/s-nail/APKBUILD
@@ -1,32 +1,51 @@
+# Contributor: Steffen Nurpmeso <[email-masked]>
 # Contributor: Ivan Tham <[email-masked]>
 # Maintainer: Ivan Tham <[email-masked]>
 pkgname=s-nail
-pkgver=14.8.16
+pkgver=14.9.4
 pkgrel=0
-pkgdesc="An incarnation of BSD Mail / POSIX mailx"
-url="https://www.sdaoden.eu/code.html#s-nail"
+pkgdesc="SysV/BSD/POSIX mail(x) utility to send and receive Internet mail"
+url="https://www.sdaoden.eu/code.html#s-mailx"
 arch="all"
 license="BSD"
-makedepends="libressl-dev libidn-dev"
+makedepends="libressl-dev libidn-dev ncurses-dev krb5-dev"
 options="suid"
 replaces="mailx"
 subpackages="$pkgname-doc"
 source="https://ftp.sdaoden.eu/s-nail-$pkgver.tar.xz"
 builddir="$srcdir/"$pkgname-$pkgver
 
+# LD_LIBRARY_PATH is included via -rpath, so use system defaults only.
+# And ensure no other paths sneak in.
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+C_INCLUDE_PATH=/usr/include
+LD_LIBRARY_PATH=/lib:/usr/lib
+LIBRARY_PATH=$LD_LIBRARY_PATH
+LD_RUN_PATH=$LD_LIBRARY_PATH
+export PATH C_INCLUDE_PATH LD_LIBRARY_PATH
+
 build() {
 	cd "$builddir"
-	make SID= NAIL=mail PREFIX=/usr SYSCONFDIR=/etc WANT_AUTOCC=0 all
+	make \
+		VAL_SID= VAL_MAILX=mail \
+		VAL_PREFIX=/usr \
+		VAL_SYSCONFDIR=/etc \
+		OPT_AUTOCC=no \
+		config || return 1
+	make build # XXX unite with config in v14.9.5
 }
 
 check() {
 	cd "$builddir"
 	make test
 }
 
 package() {
 	cd "$builddir"
-	make -f mk.mk install DESTDIR="$pkgdir" LIBEXECDIR=/usr/lib/s-nail
+	make DESTDIR="$pkgdir" install
+
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 }
 
-sha512sums="c6e431df0325cb2561bdc6dd507155829ab48cc8731971139d75058a1bfbd010eab3a1077b5c45ac7850d3b71ab45cf4df7ab62b1b6a1bf97b098b5278161b15  s-nail-14.8.16.tar.xz"
+sha512sums="96fd351d604d31dec6a03614448aa08eec885d7f01ee43e5edbd69a61579fa5b744f1cf1029680da4d415dc5f448334284f3bfa71f9449c05679b43079f98497  s-nail-14.9.4.tar.xz"
-- 
2.14.2

--steffen
|

---

---

From: Ivan Tham <[email-masked]>
Date: Thu, 05 Oct 2017 21:41:58 +0800

> +++ b/testing/s-nail/APKBUILD

As well, please add built-in SMTP and IMAP support into it. That's one of the reason
why I build my own APKFILE. T_T

---

---

From: Steffen Nurpmeso <[email-masked]>
Date: Sun, 22 Oct 2017 01:31:49 +0200

---
 testing/s-nail/APKBUILD | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

index e650cf26..2f393ad9 100644
@@ -1,22 +1,38 @@
+pkgver=14.9.5
 
+		config &&
+	make build # XXX unite with config in v14.9.6
 }
 
 check() {
@@ -26,7 +42,9 @@ check() {
 
 package() {
 	cd "$builddir"
 
-sha512sums="c6e431df0325cb2561bdc6dd507155829ab48cc8731971139d75058a1bfbd010eab3a1077b5c45ac7850d3b71ab45cf4df7ab62b1b6a1bf97b098b5278161b15  s-nail-14.8.16.tar.xz"
+sha512sums="96b81c9a9d993f094f5a4f7a726d4b37e9640262cd68120403d92591044576651f14560760504d5ebfa81954f6c97e33f976c0a486be4bd6e04516bdbc80e9a5  s-nail-14.9.5.tar.xz"
-- 
2.14.2

--steffen
|

---